# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeHyperbola Class Reference

This class implements the mapping between classes
Hyperbola from StepGeom which describes a Hyperbola from
Prostep and Hyperbola from Geom.
.

`#include <StepToGeom_MakeHyperbola.hxx>`

Inheritance diagram for StepToGeom_MakeHyperbola:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeHyperbola (const Handle(StepGeom_Hyperbola)&C)
Standard_EXPORT const Handle_Geom_Hyperbola & | Value () const

## Private Attributes

Handle_Geom_Hyperbola | theHyperbola

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeHyperbola::StepToGeom_MakeHyperbola | ( | const Handle(StepGeom_Hyperbola)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeHyperbola::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeHyperbola::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeHyperbola::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Hyperbola& StepToGeom_MakeHyperbola::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Hyperbola StepToGeom_MakeHyperbola::theHyperbola `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeHyperbola.hxx